CVE-2002-2261
CVSS7.5
发布时间 :2002-12-31 00:00:00
修订时间 :2011-07-18 21:13:49
NMCOPS    

[原文]Sendmail 8.9.0 through 8.12.6 allows remote attackers to bypass relaying restrictions enforced by the 'check_relay' function by spoofing a blank DNS hostname.


[CNNVD]Sendmail check_relay访问限制可绕过漏洞(CNNVD-200212-172)

        
        Sendmail是一款免费开放源代码的邮件传输代理,可使用在多种Unix和Linux操作系统下。
        Sendmail在使用check_relay进程访问检查时存在问题,远程攻击者可以利用这个漏洞绕过访问限制,未授权发送邮件。
        当Sendmail使用check_relay规则集时,攻击者使用伪造的DNS数据可以绕过由access_db功能设置的访问限制。利用这个漏洞,攻击者可以未授权访问sendmail服务器来发送邮件。而使用'delay_checks'进行限制的Sendmail不受此漏洞影响。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-264 [权限、特权与访问控制]

- CPE (受影响的平台与产品)

cpe:/a:sendmail:sendmail:8.11.6Sendmail Sendmail 8.11.6
cpe:/a:sendmail:sendmail:8.11.1Sendmail Sendmail 8.11.1
cpe:/a:sendmail:sendmail:8.12:beta12Sendmail Sendmail 8.12 Beta12
cpe:/a:sendmail:sendmail:8.12.5Sendmail Sendmail 8.12.5
cpe:/a:sendmail:sendmail:8.12:beta16Sendmail Sendmail 8.12 Beta16
cpe:/a:sendmail:sendmail:8.9.3Sendmail Sendmail 8.9.3
cpe:/a:sendmail:sendmail:8.12.1Sendmail Sendmail 8.12.1
cpe:/a:sendmail:sendmail:8.12:beta5Sendmail Sendmail 8.12 Beta5
cpe:/a:sendmail:sendmail:8.11.7Sendmail Sendmail 8.11.7
cpe:/a:sendmail:sendmail:8.12.6Sendmail Sendmail 8.12.6
cpe:/a:sendmail:sendmail:8.9.1Sendmail Sendmail 8.9.1
cpe:/a:sendmail:sendmail:8.12:beta10Sendmail Sendmail 8.12 Beta10
cpe:/a:sendmail:sendmail:8.12.2Sendmail Sendmail 8.12.2
cpe:/a:sendmail:sendmail:8.9.0Sendmail Sendmail 8.9.0
cpe:/a:sendmail:sendmail:8.11.5Sendmail Sendmail 8.11.5
cpe:/a:sendmail:sendmail:8.11.0Sendmail Sendmail 8.11
cpe:/a:sendmail:sendmail:8.10Sendmail Sendmail 8.10
cpe:/a:sendmail:sendmail:8.11.4Sendmail Sendmail 8.11.4
cpe:/a:sendmail:sendmail:8.11.2Sendmail Sendmail 8.11.2
cpe:/a:sendmail:sendmail:8.9.2Sendmail Sendmail 8.9.2
cpe:/a:sendmail:sendmail:8.10.1Sendmail Sendmail 8.10.1
cpe:/a:sendmail:sendmail:8.11.3Sendmail Sendmail 8.11.3
cpe:/a:sendmail:sendmail:8.12:beta7Sendmail Sendmail 8.12 beta7
cpe:/a:sendmail:sendmail:8.12.0Sendmail Sendmail 8.12.0
cpe:/a:sendmail:sendmail:8.12.3Sendmail Sendmail 8.12.3
cpe:/a:sendmail:sendmail:8.12.4Sendmail Sendmail 8.12.4
cpe:/a:sendmail:sendmail:8.10.2Sendmail Sendmail 8.10.2
cpe:/a:sendmail:sendmail:8.10.0Sendmail Sendmail 8.10.0

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:8512HP-UX Running sendmail, Remote Denial of Service (DoS)
oval:org.mitre.oval:def:6892HP-UX Running sendmail, Remote Denial of Service (DoS)
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2261
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2261
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-172
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/10775
(PATCH)  XF  sendmail-check-relay-bypass(10775)
http://www.sendmail.org/8.12.7.html
(VENDOR_ADVISORY)  CONFIRM  http://www.sendmail.org/8.12.7.html
http://www.securityfocus.com/bid/6548
(PATCH)  BID  6548
http://securitytracker.com/id?1005748
(PATCH)  SECTRACK  1005748
http://www.vupen.com/english/advisories/2009/3539
(VENDOR_ADVISORY)  VUPEN  ADV-2009-3539
http://secunia.com/advisories/7826
(VENDOR_ADVISORY)  SECUNIA  7826
ftp://patches.sgi.com/support/free/security/advisories/20030101-01-P
(UNKNOWN)  SGI  20030101-01-P

- 漏洞信息

Sendmail check_relay访问限制可绕过漏洞
高危 访问验证错误
2002-12-31 00:00:00 2010-01-08 00:00:00
远程  
        
        Sendmail是一款免费开放源代码的邮件传输代理,可使用在多种Unix和Linux操作系统下。
        Sendmail在使用check_relay进程访问检查时存在问题,远程攻击者可以利用这个漏洞绕过访问限制,未授权发送邮件。
        当Sendmail使用check_relay规则集时,攻击者使用伪造的DNS数据可以绕过由access_db功能设置的访问限制。利用这个漏洞,攻击者可以未授权访问sendmail服务器来发送邮件。而使用'delay_checks'进行限制的Sendmail不受此漏洞影响。
        

- 公告与补丁

        厂商补丁:
        SGI
        ---
        SGI已经为此发布了一个安全公告(20030101-01-P)以及相应补丁:
        20030101-01-P:Multiple Vulnerabilities in Sendmail
        链接:ftp://patches.sgi.com/support/free/security/advisories/20030101-01-P
        补丁情况:
         系统版本 是否受影响 补丁号 备注
         ---------- ----------- ------- -------------
         IRIX 3.x 未知 备注 1
         IRIX 4.x 未知 备注 1
         IRIX 5.x 未知 备注 1
         IRIX 6.0.x 未知 备注 1
         IRIX 6.1 未知 备注 1
         IRIX 6.2 未知 备注 1
         IRIX 6.3 未知 备注 1
         IRIX 6.4 未知 备注 1
         IRIX 6.5 是 备注 2 & 3
         IRIX 6.5.1 是 备注 2 & 3
         IRIX 6.5.2 是 备注 2 & 3
         IRIX 6.5.3 是 备注 2 & 3
         IRIX 6.5.4 是 备注 2 & 3
         IRIX 6.5.5 是 备注 2 & 3
         IRIX 6.5.6 是 备注 2 & 3
         IRIX 6.5.7 是 备注 2 & 3
         IRIX 6.5.8 是 备注 2 & 3
         IRIX 6.5.9 是 备注 2 & 3
         IRIX 6.5.10 是 备注 2 & 3
         IRIX 6.5.11 是 备注 2 & 3
         IRIX 6.5.12 是 备注 2 & 3
         IRIX 6.5.13 是 备注 2 & 3
         IRIX 6.5.14 是 备注 2 & 3
         IRIX 6.5.15 是 4911 备注 2, 4 & 5
         IRIX 6.5.16 是 4911 备注 2, 4 & 5
         IRIX 6.5.17 是 4911 备注 2, 4 & 5
         IRIX 6.5.18 是 4911
         IRIX 6.5.19 不
        
        备注:
         1) 这个版本的IRIX系统已经不再被维护了,请升级到受支持的版本,参看
        
        http://support.sgi.com/irix/news/index.html#policy
来获得更多的信息。
         2) 如果你还未收到一张IRIX 6.5.x for IRIX 6.5的CD,请联系SGI的支持
         部门,访问:
        http://support.sgi.com/irix/swupdates/

        
         3) 安装相关补丁或者升级到IRIX 6.5.19版本。
         4) 安装4911补丁。
        
         5)你必须使用在SGI安全建议20011101-01-I中的临时解决方案。
        
        实际的补丁将是一个TAR文件包含如下文件:
        文件名: README.patch.4911
        Algorithm #1 (sum -r): 61910 9 README.patch.4911
        Algorithm #2 (sum): 20270 9 README.patch.4911
        MD5 校验: A17D14BFA5F90FB15612ED6C4C2452A0
        文件名: patchSG0004911
        Algorithm #1 (sum -r): &nb

- 漏洞信息 (F83622)

HP Security Bulletin HPSBUX02495 SSRT090151 (PacketStormID:F83622)
2009-12-10 00:00:00
Hewlett Packard  hp.com
advisory,remote,denial of service
hpux
CVE-2002-2261
[点击下载]

HP Security Bulletin - A potential security vulnerability has been identified with HP-UX running sendmail. This vulnerability could allow a remote user to cause a Denial of Service (DoS). Yes, HP has just patched a bug from 2002. Better late than never, I guess.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

SUPPORT COMMUNICATION - SECURITY BULLETIN

Document ID: c01953398
Version: 1

HPSBUX02495 SSRT090151 rev.1 - HP-UX Running sendmail, Remote Denial of Service (DoS)

NOTICE: The information in this Security Bulletin should be acted upon as soon as possible.

Release Date: 2009-12-08
Last Updated: 2009-12-07

Potential Security Impact: Remote Denial of Service (DoS)

Source: Hewlett-Packard Company, HP Software Security Response Team

VULNERABILITY SUMMARY
A potential security vulnerability has been identified with HP-UX running sendmail. This vulnerability could allow a remote user to cause a Denial of Service (DoS).

References: CVE-2002-2261

SUPPORTED SOFTWARE VERSIONS*: ONLY impacted versions are listed.
HP-UX B.11.11 running sendmail 8.9.3 or sendmail 8.11.1,
HP-UX B.11.23 running sendmail 8.11.1.

BACKGROUND

CVSS 2.0 Base Metrics
===========================================================
  Reference              Base Vector             Base Score
CVE-2002-2261    (AV:N/AC:L/Au:N/C:C/I:C/A:C)       10.0
===========================================================
             Information on CVSS is documented
            in HP Customer Notice: HPSN-2008-002

RESOLUTION

HP has provided the following patches to resolve this vulnerabilities.

HP-UX Release
 Sendmail version
 Patch ID

B.11.11
 8.9.3
 PHNE_40393 or subsequent

B.11.23
 8.11.1
 PHNE_40388 or subsequent

Note: Installations of HP-UX B.11.11 running sendmail 8.11.1 should upgrade to sendmail 8.13.3 or subsequent. This Sendmail 8.13.3 Special Release Upgrade is available for download from
http://software.hp.com

Note: To determine if a system has an affected version, search the output of "swlist -a revision -l fileset" for an affected fileset. Then determine if the recommended patch or update is installed. The patches are available for download from
http://itrc.hp.com

MANUAL ACTIONS: No

PRODUCT SPECIFIC INFORMATION

HP-UX Software Assistant: HP-UX Software Assistant is an enhanced application that replaces HP-UX Security Patch Check. It analyzes all Security Bulletins issued by HP and lists recommended actions that may apply to a specific HP-UX system. It can also download patches and create a depot automatically. For more information see: https://www.hp.com/go/swa

The following text is for use by the HP-UX Software Assistant.

AFFECTED VERSIONS

HP-UX B.11.11
=============
InternetSrvcs.INETSVCS-RUN
action: install PHNE_40393 or subsequent

HP-UX B.11.23
=============
InternetSrvcs.INETSVCS-RUN
InternetSrvcs.INETSVCS2-RUN
action: install PHNE_40388 or subsequent

END AFFECTED VERSIONS

HISTORY
Version: 1 (rev.1) - 8 December 2009 Initial release

Third Party Security Patches: Third party security patches that are to be installed on systems running HP software products should be applied in accordance with the customer's patch management policy.

Support: For further information, contact normal HP Services support channel.

Report: To report a potential security vulnerability with any HP supported product, send Email to: security-alert@hp.com
It is strongly recommended that security related information being communicated to HP be encrypted using PGP, especially exploit information.
To get the security-alert PGP key, please send an e-mail message as follows:
  To: security-alert@hp.com
  Subject: get key
Subscribe: To initiate a subscription to receive future HP Security Bulletins via Email:
http://h30046.www3.hp.com/driverAlertProfile.php?regioncode=NA&langcode=USENG&jumpid=in_SC-GEN__driverITRC&topiccode=ITRC
On the web page: ITRC security bulletins and patch sign-up
Under Step1: your ITRC security bulletins and patches
    -check ALL categories for which alerts are required and continue.
Under Step2: your ITRC operating systems
    -verify your operating system selections are checked and save.

To update an existing subscription: http://h30046.www3.hp.com/subSignIn.php
Log in on the web page: Subscriber's choice for Business: sign-in.
On the web page: Subscriber's Choice: your profile summary - use Edit Profile to update appropriate sections.

To review previously published Security Bulletins visit: http://www.itrc.hp.com/service/cki/secBullArchive.do

* The Software Product Category that this Security Bulletin
relates to is represented by the 5th and 6th characters
of the Bulletin number in the title:

GN = HP General SW
MA = HP Management Agents
MI = Misc. 3rd Party SW
MP = HP MPE/iX
NS = HP NonStop Servers
OV = HP OpenVMS
PI = HP Printing & Imaging
ST = HP Storage SW
TL = HP Trusted Linux
TU = HP Tru64 UNIX
UX = HP-UX
VV = HP VirtualVault

System management and security procedures must be reviewed frequently to maintain system integrity. HP is continually reviewing and enhancing the security features of software products to provide customers with current secure solutions.

"HP is broadly distributing this Security Bulletin in order to bring to the attention of users of the affected HP products the important security information contained in this Bulletin. HP recommends that all users determine the applicability of this information to their individual situations and take appropriate action. HP does not warrant that this information is necessarily accurate or complete for all user situations and, consequently, HP will not be responsible for any damages resulting from user's use or disregard of the information provided in this Bulletin. To the extent permitted by law, HP disclaims all warranties, either express or implied, including the warranties of merchantability and fitness for a particular purpose, title and non-infringement."

Copyright 2009 Hewlett-Packard Development Company, L.P.
Hewlett-Packard Company shall not be liable for technical or editorial errors or omissions contained herein. The information provided is provided "as is" without warranty of any kind. To the extent permitted by law, neither HP or its affiliates, subcontractors or suppliers will be liable for incidental,special or consequential damages including downtime cost; lost profits;damages relating to the procurement of substitute products or services; or damages for loss of data, or software restoration. The information in this document is subject to change without notice. Hewlett-Packard Company and the names of Hewlett-Packard products referenced herein are trademarks of Hewlett-Packard Company in the United States and other countries. Other product and company names mentioned herein may be trademarks of their respective owners.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkse95AACgkQ4B86/C0qfVkhBACg3GEf4WTVGn+66Hkq8Tl2+Bdp
70QAoJ2BnDkk5lZNIwmwe8m9sbruLiCR
=Zb3e
-----END PGP SIGNATURE-----
    

- 漏洞信息

60140
Sendmail Spoofed DNS Hostname check_relay Function Bypass
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2002-12-29 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 8.12.7 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Sendmail check_relay Access Bypassing Vulnerability
Access Validation Error 6548
Yes No
2002-12-03 12:00:00 2010-02-05 08:21:00
This vulnerability was discovered by Kai Schlichting.

- 受影响的程序版本

Sendmail Consortium Sendmail 8.12.6
+ Apple Mac OS X 10.2.4
+ Conectiva Linux Enterprise Edition 1.0
+ FreeBSD FreeBSD 5.0
+ FreeBSD FreeBSD 4.7
+ MandrakeSoft Corporate Server 2.1
+ Mandriva Linux Mandrake 9.0
+ OpenBSD OpenBSD 3.2
+ S.u.S.E. Linux 8.1
Sendmail Consortium Sendmail 8.12.5
+ Conectiva Linux 9.0
+ OpenBSD OpenBSD 3.2
Sendmail Consortium Sendmail 8.12.4
+ OpenBSD OpenBSD 3.2
+ Slackware Linux 8.1
+ Slackware Linux -current
Sendmail Consortium Sendmail 8.12.3
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
+ FreeBSD FreeBSD 4.6
+ S.u.S.E. Linux 8.0 i386
+ S.u.S.E. Linux 8.0
Sendmail Consortium Sendmail 8.12.2
+ Apple Mac OS X 10.2.3
+ Apple Mac OS X 10.2.2
+ Apple Mac OS X 10.2.1
+ Apple Mac OS X 10.2
+ Apple Mac OS X Server 10.2.3
+ Apple Mac OS X Server 10.2.2
+ Apple Mac OS X Server 10.2.1
+ Apple Mac OS X Server 10.2
+ OpenBSD OpenBSD 3.1
Sendmail Consortium Sendmail 8.12.1
+ HP MPE/iX 7.5
+ HP MPE/iX 7.0
+ Mandriva Linux Mandrake 8.2 ppc
+ Mandriva Linux Mandrake 8.2
Sendmail Consortium Sendmail 8.9.3
+ Compaq Tru64 5.1 PK5 (BL19)
+ Compaq Tru64 5.0 a PK3 (BL17)
+ Debian Linux 2.2 sparc
+ Debian Linux 2.2 powerpc
+ Debian Linux 2.2 IA-32
+ Debian Linux 2.2 arm
+ Debian Linux 2.2 alpha
+ Debian Linux 2.2 68k
+ Debian Linux 2.2
+ IBM AIX 4.3.3
+ SGI IRIX 6.5.19
+ SGI IRIX 6.5.18 m
+ SGI IRIX 6.5.18 f
+ SGI IRIX 6.5.17 m
+ SGI IRIX 6.5.17 f
+ SGI IRIX 6.5.16 m
+ SGI IRIX 6.5.16 f
+ SGI IRIX 6.5.15 m
+ SGI IRIX 6.5.15 f
+ SGI IRIX 6.5.14 m
+ SGI IRIX 6.5.14 f
+ SGI IRIX 6.5.13 m
+ SGI IRIX 6.5.13 f
+ SGI IRIX 6.5.12 m
+ SGI IRIX 6.5.12 f
+ SGI IRIX 6.5.11 m
+ SGI IRIX 6.5.11 f
+ SGI IRIX 6.5.10 m
+ SGI IRIX 6.5.10 f
+ SGI IRIX 6.5.9 m
+ SGI IRIX 6.5.9 f
+ SGI IRIX 6.5.8 m
+ SGI IRIX 6.5.8 f
+ SGI IRIX 6.5.7 m
+ SGI IRIX 6.5.7 f
Sendmail Consortium Sendmail 8.9.2
Sendmail Consortium Sendmail 8.9.1
Sendmail Consortium Sendmail 8.9 .0
HP HP-UX B.11.23
HP HP-UX B.11.11
HP HP-UX B.11.11
Avaya Proactive Contact 3.0.3
Avaya Proactive Contact 3.0.2
Avaya Proactive Contact 3.0
Avaya Proactive Contact 0
Sendmail Consortium Sendmail 8.12.7
+ OpenPKG OpenPKG 1.2
+ Slackware Linux 8.1
+ SOTLinux SOTLinux 2003 Desktop
+ SOTLinux SOTLinux 2003 Server
Sendmail Consortium Sendmail 8.9.3
+ Compaq Tru64 5.1 PK5 (BL19)
+ Compaq Tru64 5.0 a PK3 (BL17)
+ Debian Linux 2.2 sparc
+ Debian Linux 2.2 powerpc
+ Debian Linux 2.2 IA-32
+ Debian Linux 2.2 arm
+ Debian Linux 2.2 alpha
+ Debian Linux 2.2 68k
+ Debian Linux 2.2
+ IBM AIX 4.3.3
+ SGI IRIX 6.5.19
+ SGI IRIX 6.5.18 m
+ SGI IRIX 6.5.18 f
+ SGI IRIX 6.5.17 m
+ SGI IRIX 6.5.17 f
+ SGI IRIX 6.5.16 m
+ SGI IRIX 6.5.16 f
+ SGI IRIX 6.5.15 m
+ SGI IRIX 6.5.15 f
+ SGI IRIX 6.5.14 m
+ SGI IRIX 6.5.14 f
+ SGI IRIX 6.5.13 m
+ SGI IRIX 6.5.13 f
+ SGI IRIX 6.5.12 m
+ SGI IRIX 6.5.12 f
+ SGI IRIX 6.5.11 m
+ SGI IRIX 6.5.11 f
+ SGI IRIX 6.5.10 m
+ SGI IRIX 6.5.10 f
+ SGI IRIX 6.5.9 m
+ SGI IRIX 6.5.9 f
+ SGI IRIX 6.5.8 m
+ SGI IRIX 6.5.8 f
+ SGI IRIX 6.5.7 m
+ SGI IRIX 6.5.7 f
Sendmail Consortium Sendmail 8.9.2

- 不受影响的程序版本

Sendmail Consortium Sendmail 8.12.7
+ OpenPKG OpenPKG 1.2
+ Slackware Linux 8.1
+ SOTLinux SOTLinux 2003 Desktop
+ SOTLinux SOTLinux 2003 Server
Sendmail Consortium Sendmail 8.9.3
+ Compaq Tru64 5.1 PK5 (BL19)
+ Compaq Tru64 5.0 a PK3 (BL17)
+ Debian Linux 2.2 sparc
+ Debian Linux 2.2 powerpc
+ Debian Linux 2.2 IA-32
+ Debian Linux 2.2 arm
+ Debian Linux 2.2 alpha
+ Debian Linux 2.2 68k
+ Debian Linux 2.2
+ IBM AIX 4.3.3
+ SGI IRIX 6.5.19
+ SGI IRIX 6.5.18 m
+ SGI IRIX 6.5.18 f
+ SGI IRIX 6.5.17 m
+ SGI IRIX 6.5.17 f
+ SGI IRIX 6.5.16 m
+ SGI IRIX 6.5.16 f
+ SGI IRIX 6.5.15 m
+ SGI IRIX 6.5.15 f
+ SGI IRIX 6.5.14 m
+ SGI IRIX 6.5.14 f
+ SGI IRIX 6.5.13 m
+ SGI IRIX 6.5.13 f
+ SGI IRIX 6.5.12 m
+ SGI IRIX 6.5.12 f
+ SGI IRIX 6.5.11 m
+ SGI IRIX 6.5.11 f
+ SGI IRIX 6.5.10 m
+ SGI IRIX 6.5.10 f
+ SGI IRIX 6.5.9 m
+ SGI IRIX 6.5.9 f
+ SGI IRIX 6.5.8 m
+ SGI IRIX 6.5.8 f
+ SGI IRIX 6.5.7 m
+ SGI IRIX 6.5.7 f
Sendmail Consortium Sendmail 8.9.2

- 漏洞讨论

A vulnerability in Sendmail may allow attackers who use bogus DNS data to bypass the access restrictions imposed by the 'access_db' FEATURE when used with the 'check_relay' ruleset.

An attacker can exploit this vulnerability to connect to a sendmail server that would otherwise be inaccessible.

- 漏洞利用

Currently we are not aware of any working exploits. If you feel we are in error or if you are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

Updates are available. Please see the references for details.


HP HP-UX B.11.11

HP HP-UX B.11.23

Sendmail Consortium Sendmail 8.12.1

Sendmail Consortium Sendmail 8.12.2

Sendmail Consortium Sendmail 8.12.3

Sendmail Consortium Sendmail 8.12.4

Sendmail Consortium Sendmail 8.12.5

Sendmail Consortium Sendmail 8.12.6

Sendmail Consortium Sendmail 8.9 .0

Sendmail Consortium Sendmail 8.9.1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站